## jruby 9.4.6.0+ds

=== debian/changelog ===
jruby (9.4.6.0+ds-1) unstable; urgency=medium

  * New upstream version 9.4.6.0+ds
  * d/patches:
    - drop obsolete patch merged upstream
    - drop obsolete io-console gem patch
    + refresh for new upstream version
  * d/rules: add missing items to clean target
  * d/rules: fix ftbfs with same version building itself (Closes: #1064554)
  * d/tests: drop some mri-stdlib exclusions
  * d/tests: exclude unreliable mri-stdlib test cases

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 28 Feb 2024 19:39:52 -0500

jruby (9.4.5.0+ds-1) unstable; urgency=medium

  * Rebuild for unstable.
  * d/tests: limit autopkgtests to amd64 and arm64

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 21 Feb 2024 08:36:05 -0500

jruby (9.4.5.0+ds-1~exp1) experimental; urgency=medium

  * New upstream version 9.4.5.0+ds
  * improve rubygems download script
  * d/gbp.conf: add postimport for rubygems download
  * d/patches:
    - drop patches applied upstream
    + refresh patches for new upstream version
    + add upstream patch to fix mri-stdlib test
  * d/rules: drop get-orig-source target
  * d/tests:
    + improve common prepare function
    + be more verbose about exclusions and debug
    + add debugging to mri-core tests

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 19 Feb 2024 21:51:19 -0500

=== debian/control ===
Source: jruby
Section: ruby
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 ant-optional,
 debhelper-compat (= 13),
 default-jdk-headless,
 javahelper,
 junit4 <!nocheck>,
 libasm-java,
 libbackport9-java,
 libbsf-java,
 libbuild-helper-maven-plugin-java,
 libcopy-rename-maven-plugin-java,
 libdirgra-java,
 libheadius-options-java,
 libinvokebinder-java (>= 1.12),
 libjakarta-annotation-api-java,
 libjcodings-java,
 libjffi-java (>= 1.3.9),
 libjitescript-java,
 libjline2-java (>= 2.14.6),
 libjnr-constants-java,
 libjnr-enxio-java,
 libjnr-ffi-java,
 libjnr-netdb-java,
 libjnr-posix-java,
 libjnr-unixsocket-java,
 libjoda-time-java,
 libjruby-joni-java,
 libjruby-maven-plugin-java (>= 3.0.1),
 libjruby-mavengem-maven-plugin-java,
 libjzlib-java (>= 1.1.3-3),
 libmaven-antrun-plugin-java,
 libmaven-assembly-plugin-java,
 libmaven-bundle-plugin-java,
 libmaven-clean-plugin-java,
 libmaven-dependency-plugin-java,
 libmaven-exec-plugin-java,
 libmaven-invoker-plugin-java,
 libmaven-shade-plugin-java,
 libmaven-source-plugin-java,
 libosgi-core-java,
 libtakari-polyglot-ruby-java (>= 0.4.11-2),
 locales-all,
 maven-debian-helper,
 quilt,
Standards-Version: 4.6.2
Homepage: http://jruby.org/
Vcs-Git: https://salsa.debian.org/java-team/jruby.git
Vcs-Browser: https://salsa.debian.org/java-team/jruby
Rules-Requires-Root: no

Package: jruby
Architecture: all
Depends:
 default-jre-headless,
 libasm-java (>= 9.5),
 libbackport9-java (>= 1.10),
 libdirgra-java,
 libfixposix4,
 libheadius-options-java (>= 1.4),
 libinvokebinder-java (>= 1.13),
 libjansi1-java,
 libjcodings-java (>= 1.0.58),
 libjffi-java (>= 1.3.11),
 libjffi-jni (>= 1.3.11),
 libjitescript-java,
 libjline2-java (>= 2.14.6),
 libjnr-constants-java (>= 0.10.4),
 libjnr-enxio-java (>= 0.32.13),
 libjnr-ffi-java (>= 2.2.13),
 libjnr-netdb-java (>= 1.1.6),
 libjnr-posix-java (>= 3.1.10),
 libjnr-unixsocket-java (>= 0.18),
 libjoda-time-java (>= 2.10.14),
 libjruby-joni-java,
 libjzlib-java (>= 1.1.3-3),
 libsnakeyaml-engine-java,
 ${misc:Depends},
Recommends:
 fonts-lato,
Breaks:
 jruby-openssl,
Replaces:
 jruby-openssl,
Description: 100% pure-Java implementation of Ruby
 JRuby is an implementation of the ruby language using the JVM.
 .
 It aims to be a complete, correct and fast implementation of Ruby, at the
 same time as providing powerful new features such as concurrency without a
 global interpreter lock, true parallelism and tight integration to the Java
 language to allow one to use Java classes in Ruby programs and to allow
 JRuby to be embedded into a Java application.
 .
 JRuby can be used as a faster version of Ruby, it can be used to run Ruby
 on the JVM and access powerful JVM libraries such as highly tuned concurrency
 primitives, it can also be used to embed Ruby as a scripting language in your
 Java program, or many other possibilities.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/javahelper/java-vars.mk

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --buildsystem=maven

override_dh_auto_clean:
	dh_auto_clean -- -Pclean
	rm -f debian/jruby.lintian-overrides
	rm -rf .pc_gems
	# cleanup bin executables
	cd $(CURDIR)/bin && ( \
		rm -f bundle bundler erb irb lock_jars racc rdoc ri ; \
	)
	# cleanup stdlib
	-cd $(CURDIR)/lib/ruby/stdlib && ( \
		rm -f $(foreach f,English abbrev ant base64 cmath debug delegate fileutils find getoptlong* ipaddr jar-dependencies jar_dependencies jar_install* kconv mutex_m nkf observer open-uri optionparser ostruct pp prettyprint pstore resolv-replace rinda ring tuplespace ruby2_keywords rubygems securerandom shellwords singleton stringio strscan time timeout tsort un weakref,$(f).rb) ; \
		rm -f $(foreach j,nkf stringio strscan,${j}.jar) ; \
		rm -rf benchmark* bigdecimal* bundler* cgi* csv* did_you_mean* digest* drb* erb* error_highlight* ffi* forwardable* io/console* io/wait* irb* jars jline jopenssl* json* libfixposix* logger* net/http* net/protocol* open3* openssl* optparse* org psych* racc* rake* random* rdoc* readline* reline* rinda* subspawn* scanf* uri* yaml* ; \
	    find rubygems -mindepth 1 -maxdepth 1 -not -name defaults -exec rm -rf {} \; \
	)
	# cleanup main builddirs
	rm -rf core/src/main/java/META-INF
	rm -rf lib/ruby/gems lib/jruby.jar
	rm -f shaded/dependency-reduced-pom.xml test/pom.xml
	-$(foreach p,. lib core shaded,test -f ${p}/pom.xml.bak && mv ${p}/pom.xml.bak ${p}/pom.xml;)
	# cleanup maven artifacts
	rm -f maven/pom.xml maven/jruby/pom.xml maven/jruby-complete/pom.xml
	rm -rf maven/jruby-complete/src/it/osgi_many_bundles_with_embedded_gems_*
	rm -rf maven/jruby-dist/target

execute_after_dh_auto_configure:
	# move stdlib rubygems into maven repository
	mv rubygems debian/maven-repo
	# backup upstream generated poms
	$(foreach p,. lib core shaded,cp ${p}/pom.xml ${p}/pom.xml.bak;)

override_dh_auto_build:
	# ensure org.jruby.maven in local maven repo is writeable
	# this is needed so that a given version of jruby can build itself
	mkdir debian/maven-repo/org/jruby.tmp
	cp -L -R debian/maven-repo/org/jruby/* debian/maven-repo/org/jruby.tmp/
	rm -rf debian/maven-repo/org/jruby
	mv debian/maven-repo/org/jruby.tmp debian/maven-repo/org/jruby
	# build selected profiles
	dh_auto_build -- -Djruby.revision=$(DEB_VERSION) -Pmain,complete,dist

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# java tests
	# to debug a single test, add -Dsurefire.useFile=false -Dtest=org/jruby/test/<TestFileName>.java
	dh_auto_test -- -Djruby.revision=$(DEB_VERSION) -Ptest -pl org.jruby:jruby-base
endif

DIST_TARBALL=./maven/jruby-dist/target/jruby-dist-$(DEB_VERSION_UPSTREAM:+ds=)-bin.tar.gz
DIST_TARGET_DIR=./target/package/
override_dh_prep:
	dh_prep
	mkdir -p $(DIST_TARGET_DIR)
	# unpack dist tarball in package target directory
	tar zxf $(DIST_TARBALL) -C $(DIST_TARGET_DIR) --strip-components=1
	# apply patches to bundled stdlib gems
	QUILT_PATCHES=debian/patches/gems QUILT_PC=.pc_gems quilt push -a
	# remove superfluous shell scripts
	rm -f $(DIST_TARGET_DIR)/bin/*.bat
	rm -f $(DIST_TARGET_DIR)/bin/*.sh
	# remove env from shell scripts
	sed -i '1s|^#!/usr/bin/env\sruby|#!/usr/bin/jruby|' $(DIST_TARGET_DIR)/bin/*
	# remove bundled libfixposix libraries
	find $(DIST_TARGET_DIR)/lib/ruby/stdlib/libfixposix/binary -type f -and -not -name version.rb -delete
	find $(DIST_TARGET_DIR)/lib/ruby/stdlib/libfixposix/binary -type d -and -empty -delete
	# remove bundled font files from stdlib (rdoc templates)
	# only remove the fonts that debian provides in packages
	find $(DIST_TARGET_DIR)/lib/ruby/stdlib -name Lato-\*.ttf -type f -print -delete
	# remove bundled jars available in debian
	rm -rf $(DIST_TARGET_DIR)/lib/ruby/stdlib/jline
	# remove unneeded executable bits from gem.home scripts
	find $(DIST_TARGET_DIR)/lib/ruby/gems/shared/gems/* -type f -executable \
		| while read script; do \
			sed -i '1,1{/^#\!\/usr\/bin\/env ruby/d}' $$script; \
			chmod -x $$script; \
		done

override_dh_auto_install:
	# don't ship jruby-stdlib maven artifact
	dh_auto_install --destdir=debian/jruby/ -O--buildsystem=maven -- -pl "!lib"

execute_after_dh_install:
	# clean and install polyglot-generated poms
	for p in maven/pom.xml maven/jruby/pom.xml; do \
		mh_cleanpom --keep-pom-version -pjruby $$p; \
		mh_installpom -pjruby $$p; \
	done
	# install org.jruby:jruby proxy jar
	mh_installjar -pjruby ./maven/jruby/pom.xml \
	        ./maven/jruby/target/jruby-$(DEB_VERSION_UPSTREAM:+ds=).jar
	# apply Class-Path attribute to main jar
	jh_classpath

execute_after_dh_installexamples:
	# remove vcs control file
	rm debian/jruby/usr/share/doc/jruby/examples/jnlp/.gitignore

execute_before_dh_lintian:
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM:+ds=),g' \
		debian/jruby.lintian-overrides.in > debian/jruby.lintian-overrides

## jruby 9.4.8.0+ds

=== debian/changelog ===
jruby (9.4.8.0+ds-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS on 32-bit archs (Closes: #1103101)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 22 May 2025 22:17:55 +0530

jruby (9.4.8.0+ds-2) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * d/patches: fix ftbfs with null maven plugin version (Closes: #1091127)

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 09 Feb 2025 16:13:37 -0500

jruby (9.4.8.0+ds-1) unstable; urgency=medium

  * New upstream version 9.4.8.0+ds
  * Unbundle bouncycastle from package
  * d/patches: rebase for new upstream version
  * d/tests: add missing gems to test environment
  * d/tests: skip flaky getsockopt unit tests

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 02 Aug 2024 14:42:22 -0400

jruby (9.4.6.0+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Gianfranco Costamagna ]
  * d/control: update libfixposix4 runtime depency (Closes: #1067209)

 -- Bastian Germann <bage@debian.org>  Fri, 19 Apr 2024 22:06:26 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,10 @@
  junit4 <!nocheck>,
  libasm-java,
  libbackport9-java,
+ libbcpkix-java (>= 1.76),
+ libbcprov-java (>= 1.76),
+ libbctls-java (>= 1.76),
+ libbcutil-java (>= 1.76),
  libbsf-java,
  libbuild-helper-maven-plugin-java,
  libcopy-rename-maven-plugin-java,
@@ -50,7 +54,7 @@
  maven-debian-helper,
  quilt,
 Standards-Version: 4.6.2
-Homepage: http://jruby.org/
+Homepage: https://jruby.org/
 Vcs-Git: https://salsa.debian.org/java-team/jruby.git
 Vcs-Browser: https://salsa.debian.org/java-team/jruby
 Rules-Requires-Root: no
@@ -61,8 +65,12 @@
  default-jre-headless,
  libasm-java (>= 9.5),
  libbackport9-java (>= 1.10),
+ libbcpkix-java (>= 1.76),
+ libbcprov-java (>= 1.76),
+ libbctls-java (>= 1.76),
+ libbcutil-java (>= 1.76),
  libdirgra-java,
- libfixposix4,
+ libfixposix4t64,
  libheadius-options-java (>= 1.4),
  libinvokebinder-java (>= 1.13),
  libjansi1-java,

=== debian/rules ===
--- 
+++ 
@@ -78,6 +78,8 @@
 	find $(DIST_TARGET_DIR)/lib/ruby/stdlib -name Lato-\*.ttf -type f -print -delete
 	# remove bundled jars available in debian
 	rm -rf $(DIST_TARGET_DIR)/lib/ruby/stdlib/jline
+	rm -rf $(DIST_TARGET_DIR)/lib/ruby/stdlib/org/bouncycastle
+	rmdir $(DIST_TARGET_DIR)/lib/ruby/stdlib/org
 	# remove unneeded executable bits from gem.home scripts
 	find $(DIST_TARGET_DIR)/lib/ruby/gems/shared/gems/* -type f -executable \
 		| while read script; do \

## jruby 9.4.12.0+ds

=== test/jruby/testapp/Makefile ===
testapp.exe: testapp.c
	gcc $^ -o $@

clean:
	rm -f testapp.exe

=== debian/changelog ===
jruby (9.4.12.0+ds-1~exp1) experimental; urgency=medium

  * New upstream version 9.4.12.0+ds
  * build binary without dist project profile
  * d/patches: refresh patches for new upstream version
  * d/patches: new patch to drop crac support
  * d/patches: add patch to fix jruby building with itself
  * d/tests: drop obsolete arch-specific exclusions
  * d/tests: drop test exclusion, fixed upstream

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 15 Aug 2025 18:21:40 -0400

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,6 @@
  libjruby-mavengem-maven-plugin-java,
  libjzlib-java (>= 1.1.3-3),
  libmaven-antrun-plugin-java,
- libmaven-assembly-plugin-java,
  libmaven-bundle-plugin-java,
  libmaven-clean-plugin-java,
  libmaven-dependency-plugin-java,

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	rm -rf debian/maven-repo/org/jruby
 	mv debian/maven-repo/org/jruby.tmp debian/maven-repo/org/jruby
 	# build selected profiles
-	dh_auto_build -- -Djruby.revision=$(DEB_VERSION) -Pmain,complete,dist
+	dh_auto_build -- -Djruby.revision=$(DEB_VERSION) -Pmain,complete
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
@@ -55,37 +55,6 @@
 	# to debug a single test, add -Dsurefire.useFile=false -Dtest=org/jruby/test/<TestFileName>.java
 	dh_auto_test -- -Djruby.revision=$(DEB_VERSION) -Ptest -pl org.jruby:jruby-base
 endif
-
-DIST_TARBALL=./maven/jruby-dist/target/jruby-dist-$(DEB_VERSION_UPSTREAM:+ds=)-bin.tar.gz
-DIST_TARGET_DIR=./target/package/
-override_dh_prep:
-	dh_prep
-	mkdir -p $(DIST_TARGET_DIR)
-	# unpack dist tarball in package target directory
-	tar zxf $(DIST_TARBALL) -C $(DIST_TARGET_DIR) --strip-components=1
-	# apply patches to bundled stdlib gems
-	QUILT_PATCHES=debian/patches/gems QUILT_PC=.pc_gems quilt push -a
-	# remove superfluous shell scripts
-	rm -f $(DIST_TARGET_DIR)/bin/*.bat
-	rm -f $(DIST_TARGET_DIR)/bin/*.sh
-	# remove env from shell scripts
-	sed -i '1s|^#!/usr/bin/env\sruby|#!/usr/bin/jruby|' $(DIST_TARGET_DIR)/bin/*
-	# remove bundled libfixposix libraries
-	find $(DIST_TARGET_DIR)/lib/ruby/stdlib/libfixposix/binary -type f -and -not -name version.rb -delete
-	find $(DIST_TARGET_DIR)/lib/ruby/stdlib/libfixposix/binary -type d -and -empty -delete
-	# remove bundled font files from stdlib (rdoc templates)
-	# only remove the fonts that debian provides in packages
-	find $(DIST_TARGET_DIR)/lib/ruby/stdlib -name Lato-\*.ttf -type f -print -delete
-	# remove bundled jars available in debian
-	rm -rf $(DIST_TARGET_DIR)/lib/ruby/stdlib/jline
-	rm -rf $(DIST_TARGET_DIR)/lib/ruby/stdlib/org/bouncycastle
-	rmdir $(DIST_TARGET_DIR)/lib/ruby/stdlib/org
-	# remove unneeded executable bits from gem.home scripts
-	find $(DIST_TARGET_DIR)/lib/ruby/gems/shared/gems/* -type f -executable \
-		| while read script; do \
-			sed -i '1,1{/^#\!\/usr\/bin\/env ruby/d}' $$script; \
-			chmod -x $$script; \
-		done
 
 override_dh_auto_install:
 	# don't ship jruby-stdlib maven artifact
@@ -107,6 +76,36 @@
 	# remove vcs control file
 	rm debian/jruby/usr/share/doc/jruby/examples/jnlp/.gitignore
 
+JRUBY_HOME_DIR=lib/target/classes/META-INF/jruby.home
+execute_after_dh_prep:
+	# apply patches to bundled stdlib gems
+	QUILT_PATCHES=debian/patches/gems QUILT_PC=.pc_gems quilt push -a
+	# remove superfluous shell scripts
+	rm -f $(JRUBY_HOME_DIR)/bin/*.bat
+	rm -f $(JRUBY_HOME_DIR)/bin/*.sh
+	# remove env from shell scripts
+	sed -i '1s|^#!/usr/bin/env\sruby|#!/usr/bin/jruby|' $(JRUBY_HOME_DIR)/bin/*
+	# mark all scripts executable
+	chmod +x $(JRUBY_HOME_DIR)/bin/*
+	# remove bundled libfixposix libraries
+	find $(JRUBY_HOME_DIR)/lib/ruby/stdlib/libfixposix/binary -type f -and -not -name version.rb -delete
+	find $(JRUBY_HOME_DIR)/lib/ruby/stdlib/libfixposix/binary -type d -and -empty -delete
+	# remove bundled font files from stdlib (rdoc templates)
+	# only remove the fonts that debian provides in packages
+	find $(JRUBY_HOME_DIR)/lib/ruby/stdlib -name Lato-\*.ttf -type f -print -delete
+	# remove .jrubydir files (only needed in jars)
+	find $(JRUBY_HOME_DIR)/lib -name .jrubydir -type f -delete
+	# remove bundled jars available in debian
+	rm -rf $(JRUBY_HOME_DIR)/lib/ruby/stdlib/jline
+	rm -rf $(JRUBY_HOME_DIR)/lib/ruby/stdlib/org/bouncycastle
+	rmdir $(JRUBY_HOME_DIR)/lib/ruby/stdlib/org
+	# remove unneeded executable bits from gem.home scripts
+	find $(JRUBY_HOME_DIR)/lib/ruby/gems/shared/gems/* -type f -executable \
+		| while read script; do \
+			sed -i '1,1{/^#\!\/usr\/bin\/env ruby/d}' $$script; \
+			chmod -x $$script; \
+		done
+
 execute_before_dh_lintian:
 	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM:+ds=),g' \
 		debian/jruby.lintian-overrides.in > debian/jruby.lintian-overrides

=== debian/tests/control ===
Tests: smoke
Restrictions: superficial
Architecture: amd64, arm64

Tests: jgem
Depends:
 rake,
 ruby-all-dev,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: needs-internet
Architecture: amd64, arm64

Tests: jirb
Depends:
 expect,
 @,
Architecture: amd64, arm64

Tests: jruby
Depends:
 ant,
 build-essential,
 default-jdk-headless,
 junit4,
 libjakarta-annotation-api-java,
 rake,
 ruby-all-dev,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr
Architecture: amd64, arm64

Tests: spec-compiler
Depends:
 ant,
 rake,
 ruby-all-dev,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr
Architecture: amd64, arm64

Tests: spec-ffi
Depends:
 ant,
 build-essential,
 rake,
 ruby-all-dev,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr
Architecture: amd64, arm64

Tests: spec-ji
Depends:
 ant,
 default-jdk-headless,
 junit4,
 libjakarta-annotation-api-java,
 libjarjar-java,
 rake,
 ruby-all-dev,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 zip,
 @,
Restrictions: allow-stderr
Architecture: amd64, arm64

Tests: spec-jruby
Depends:
 ant,
 rake,
 ruby-all-dev,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr
Architecture: amd64, arm64

Tests: spec-ruby
Depends:
 ant,
 rake,
 ruby-all-dev,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr
Architecture: amd64, arm64

Tests: mri-core
Depends:
 ant,
 rake,
 ruby-all-dev,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr
Architecture: amd64, arm64

Tests: mri-extra
Depends:
 ant,
 rake,
 ruby-all-dev,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr
Architecture: amd64, arm64

Tests: mri-stdlib
Depends:
 ant,
 rake,
 ruby-all-dev,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr
Architecture: amd64, arm64

## jruby 9.4.14.0+ds

=== debian/changelog ===
jruby (9.4.14.0+ds-1~exp1) experimental; urgency=medium

  * New upstream version 9.4.14.0+ds
  * d/patches:
    + refresh patches
    + add new patch to disable unneeded plugin
    + new patch to fix default appcds cache path
  * d/rules: ship jruby.sh script from upstream tree
  * d/tests:
    + add workaround for jruby test
    + ensure cache directory exists for appcds
    + fix spec-jruby tests
    + fix jruby tests
    + skip failing mri-extra test
  * d/watch: track 9.x upstream version for now

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 22 Feb 2026 19:35:23 -0500

=== debian/tests/control ===
--- 
+++ 
@@ -90,6 +90,7 @@
 Tests: spec-jruby
 Depends:
  ant,
+ default-jdk-headless,
  rake,
  ruby-all-dev,
  ruby-diff-lcs,

=== debian/watch ===
version=4
opts="mode=git,repacksuffix=+ds,dversionmangle=auto" \
https://github.com/jruby/jruby.git \
refs/tags/[-_]?[Vv]?(9[\-+\.:\~\da-zA-Z]*)
